<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Code Generator</title>
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
    <style>
        .navbar {
            background-color: #FACC09;
            height: 80px;
            display: flex;
            align-items: center;
            justify-content: center;
        }
        .navbar-brand {
            color: #000000;
            font-weight: bold;
            display: flex;
            align-items: center;
            justify-content: space-between;
            width: 100%;
            max-width: 800px;
        }
        .navbar-brand img {
            height: 95px;
            width: auto;
            margin-right: 10px;
        }
        .navbar-brand span {
            margin-right: auto;
            color: #000000;
        }
        .form-group {
            margin-bottom: 0.5rem;
        }
        .btn-primary {
            background-color: #27200A;
            border-color: #27200A;
        }
        .btn-primary:hover {
            background-color: #27200A;
            border-color: #27200A;
        }
        body {
            padding-top: 60px;
        }
        .heading {
            font-size: 1.5rem;
            font-weight: bold;
        }
        .code-snippet {
            background-color: #f8f9fa;
            border-radius: 4px;
            padding: 10px;
            overflow-x: auto;
            font-family: monospace;
        }
        .code-snippet pre {
            white-space: pre-wrap;
        }
        .container {
            max-width: 1000px;
        }
    </style>
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-dark fixed-top">
        <div class="container">
            <a class="navbar-brand" href="#">
                <img src="{{ url_for('static', filename='adira_image.png') }}" alt="Company Logo">
                <span>Code Generator</span>
            </a>
            <a class="btn btn-danger" href="{{ url_for('logout') }}">Logout</a>
        </div>
    </nav>
    <div class="container mt-5">
        <div class="row">
            <div class="col-md-8 offset-md-2">
                <form action="/generate_code" method="post">
                    {{ form.hidden_tag() }}
                    <div class="form-group">
                        {{ form.prompt.label }}
                        {{ form.prompt(class="form-control") }}
                    </div>
                    <div class="form-group">
                        {{ form.submit(class="btn btn-primary") }}
                    </div>
                </form>
                <div id="chat-container">
                    {% for chat in chats %}
                    <div class="chat-entry mt-4">
                        <h2 class="heading">Prompt:</h2>
                        <p>{{ chat.prompt }}</p>
                        <h2 class="heading">Generated Code:</h2>
                        <div class="code-snippet">
                            <pre><code>{{ chat.response }}</code></pre>
                        </div>
                    </div>
                    {% endfor %}
                </div>
            </div>
        </div>
    </div>
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.5.4/dist/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</body>
</html>
